PUT
/v1/inventory/warehouses/{id}PUT /v1/inventory/warehouses/{id}
Scopes: inventory:warehouses:write
Requires scope: inventory:warehouses:write.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | integer<int32> | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
warehouse_name | string | no | |
contact_name | string | no | |
contact_email | string | no | |
contact_phone | string | no | |
contact_fax | string | no | |
street1 | string | no | |
street2 | string | no | |
city | string | no | |
state | string | no | |
zip | string | no | |
country | string | no | |
notes | string | no | |
sears_location_id | integer<int32> | no | |
sears_pickup_location_id | integer<int32> | no | |
low_inventory_alerts_enabled | boolean | no | |
warning_threshold | integer<int32> | no | |
critical_threshold | integer<int32> | no | |
exclude_from_global | boolean | no |
Response (200)
| Field | Type | Required | Description |
|---|---|---|---|
id | integer<int64> | no | |
message | string | no |
Examples
import { SolidCommerceClient } from '@solidcommerce/sdk';
const client = new SolidCommerceClient({
apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});
const { data, error } = await client.raw.PUT('/v1/inventory/warehouses/{id}', {
// params: { path: { id: '...' }, query: { limit: 25 } },
// body: { /* request body */ },
});
if (error) throw error;
console.log(data);